//
//    This program is free software: you can redistribute it and/or modify
//    it under the terms of the GNU General Public License as published by
//    the Free Software Foundation, either version 2 of the License, or
//    (at your option) any later version.
//
//    This program is distributed in the hope that it will be useful,
//    but WITHOUT ANY WARRANTY; without even the implied warranty of
//    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//    GNU General Public License for more details.
//
//    You should have received a copy of the GNU General Public License
//    along with this program.  If not, see <http://www.gnu.org/licenses/>.
//

#ifndef _FLIO_H_
#define _FLIO_H_

#include <stdio.h>
#include <stdlib.h>
#include <time.h>
#include <string>
#include <iostream>
#include <sstream>
#include <fstream>

#ifndef __WIN32__
#include <termios.h>
#include <unistd.h>
#include <fcntl.h>
#include <sys/socket.h>
#include <ctype.h>
#include <errno.h>
#include <sys/ioctl.h>
#else
#include <windows.h>
#endif

#include <FL/Fl.H>
#include <FL/Enumerations.H>
#include <FL/Fl_Double_Window.H>
#include <FL/Fl_Tooltip.H>
#include <FL/Fl_Menu_Bar.H>
#include <FL/Fl_Button.H>
#include <FL/Fl_Slider.H>
#include <FL/Fl_Valuator.H>
#include <FL/Fl_Choice.H>
#include <FL/Fl_Text_Buffer.H>

#include "combo.h"
#include "flinput2.h"

#include "flio_status.h"

//----------------------------------------------------------------------
// UI support
//----------------------------------------------------------------------

extern Fl_Double_Window *mainwin;
extern Fl_Double_Window *infowin;

extern std::string HomeDir;

extern status progstatus;

extern void cb_main_dialog();
extern void cb_exit();
extern void cb_about();
extern void cb_io_configure();

extern void update_flio_text(std::string s);

extern void init_comm_port();
extern void init_port_combos();
extern void close_comms_dialog();

//----------------------------------------------------------------------
// Serial comm support functions
//----------------------------------------------------------------------
extern int  Init_Serial( void );
extern void Send_Serial ( std::string s );

#endif //_FLIO_CAT_MAIN_H
