// ----------------------------------------------------------------------------
// Copyright (C) 2018
//              David Freese, W1HKJ
//
// This file is part of FLIO
//
// fldigi is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 3 of the License, or
// (at your option) any later version.
//
// fldigi is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with this program.  If not, see <http://www.gnu.org/licenses/>.
// ----------------------------------------------------------------------------

#ifndef _STATUS_H
#define _STATUS_H

#include <string>
#include <FL/Fl_Widget.H>

#include "config.h"

enum {NONE, RTSCTS, XONXOFF};

struct status {
	int		mainX;
	int		mainY;
	int		mainW;
	int		mainH;

	std::string	serial_port;
	std::string serial_baud;
	std::string	handshake;
	std::string	stopbits;

	std::string	server_port;
	std::string	server_addr;
	std::string data_type;

	status();
	void saveLastState();
	void loadLastState();

};

#endif
